# Hack to temporarly fix my problems with the gem load path
$LOAD_PATH.unshift '/usr/lib/ruby/gems/1.8/gems/rmagick-1.9.3/lib/'

require 'RMagick'

colors_hour = [ 
  "#6600FF", "#3300FF", "blue", "blue", "#0033FF", 
  "#0099FF", "#00CCFF", "aqua",    "#00FFCC", "#00FF99", 
  "#00FF33", "green", "#33FF00", "#66FF00", "#CCFF00", "yellow", 
  "#FFCC00", "#FF9900", "#FF3300", "red",     "#FF0033", "#FF0033",
  "#CC0066", "#9900FF"
]

colors_min = [
  "#8F00E7", "#8200FF", "#7400FF", "#6600FF", "#5900FF", "#4A00FF",
  "#3D00FF", "#3000FF", "#2300FF", "#1700FF", "#0700FF", "#000AFF", 
  "#0026FF", "#003EFF", "#0058FF", "#008AFF", "#008AFF", "#00A6FF",
  "#00BEFF", "#00F0FF", "#00FFF3", "#00FFF3", "#00FFDE", "#00FFC1", 
  "#00FFA7", "#00FF8D", "#00FF75", "#00FF5A", "#00FF42", "#00FF2C", 
  "#00FF0F", "#0BFF00", "#25FF00", "#3EFF00", "#56FF00", "#71FF00", 
  "#89FF00", "#89FF00", "#BFFF00", "#D9FF00", "#F3FF00", "#FFF400", 
  "#FFDB00", "#FFC400", "#FFA800", "#FF9300", "#FF7800", "#FF6300", 
  "#FF4900", "#FF3000", "#FF1900", "red", "#F30018", "#E40037", 
  "#D8004F", "#CA006D", "#BD0087", "#B000A2", "#A200C0", "#9C00CC"
]

t = Time.now

w, h = 28, 28
img = Magick::Image.new(w, h) {
  self.background_color = colors_hour[t.hour]
  self.format = 'PNG'
}

gc = Magick::Draw.new
gc.fill(colors_min[t.min]).rectangle(w/2, 0, w, h).draw(img)

img.write(File.dirname(__FILE__) + "/icon.png")
